Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class TableCellElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TableCellElement

    public class TableCellElement

extends Element

The object used to represent the TH and TD elements.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `TableCellElement()`

Method Summary
`static TableCellElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cell.
`int` | `getCellIndex()` The index of this cell in the row, starting from 0.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getColSpan()` Number of columns spanned by cell.
`java.lang.String` | `getHeaders()` List of id attribute values for header cells.
`int` | `getRowSpan()` Number of rows spanned by cell.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cell.
`void` | `setAlign(java.lang.String align)` Horizontal alignment of data in cell.
`void` | `setCh(java.lang.String ch)` Alignment character for cells in a column.
`void` | `setChOff(java.lang.String chOff)` Offset of alignment character.
`void` | `setColSpan(int colSpan)` Number of columns spanned by cell.
`void` | `setHeaders(java.lang.String headers)` List of id attribute values for header cells.
`void` | `setRowSpan(int rowSpan)` Number of rows spanned by cell.
`void` | `setVAlign(java.lang.String vAlign)` Vertical alignment of data in cell.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableCellElement

    protected TableCellElement()

Method Detail

### as

    public static TableCellElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getAlign

    public final java.lang.String getAlign()

  Horizontal alignment of data in cell.

  See Also:
    W3C HTML Specification

### getCellIndex

    public final int getCellIndex()

  The index of this cell in the row, starting from 0. This index is in document tree order and not display order. Note: This method always returns 0 on Safari 2 (bug 3295).

### getCh

    public final java.lang.String getCh()

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### getChOff

    public final java.lang.String getChOff()

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### getColSpan

    public final int getColSpan()

  Number of columns spanned by cell.

  See Also:
    W3C HTML Specification

### getHeaders

    public final java.lang.String getHeaders()

  List of id attribute values for header cells.

  See Also:
    W3C HTML Specification

### getRowSpan

    public final int getRowSpan()

  Number of rows spanned by cell.

  See Also:
    W3C HTML Specification

### getVAlign

    public final java.lang.String getVAlign()

  Vertical alignment of data in cell.

  See Also:
    W3C HTML Specification

### setAlign

    public final void setAlign(java.lang.String align)

  Horizontal alignment of data in cell.

  See Also:
    W3C HTML Specification

### setCh

    public final void setCh(java.lang.String ch)

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### setChOff

    public final void setChOff(java.lang.String chOff)

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### setColSpan

    public final void setColSpan(int colSpan)

  Number of columns spanned by cell.

  See Also:
    W3C HTML Specification

### setHeaders

    public final void setHeaders(java.lang.String headers)

  List of id attribute values for header cells.

  See Also:
    W3C HTML Specification

### setRowSpan

    public final void setRowSpan(int rowSpan)

  Number of rows spanned by cell.

  See Also:
    W3C HTML Specification

### setVAlign

    public final void setVAlign(java.lang.String vAlign)

  Vertical alignment of data in cell.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD